> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Standards

`GET https://api.pagerduty.com/standards`

Get all standards of an account.

Scoped OAuth requires: `standards.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `active` | boolean |  |  |
| `resource_type` | string |  | One of: `technical_service`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `standards` | array of object |  |  |
| `standards[].active` | boolean |  |  |
| `standards[].description` | string |  |  |
| `standards[].id` | string |  |  |
| `standards[].name` | string |  |  |
| `standards[].type` | string |  |  |
| `standards[].resource_type` | string |  | One of: `technical_service`. |
| `standards[].exclusions` | array of object |  |  |
| `standards[].exclusions[].type` | string |  | One of: `technical_service_reference`. |
| `standards[].exclusions[].id` | string |  |  |
| `standards[].inclusions` | array of object |  |  |
| `standards[].inclusions[].type` | string |  | One of: `technical_service_reference`. |
| `standards[].inclusions[].id` | string |  |  |

Example: Response Example

```json
{
  "standards": [
    {
      "active": true,
      "description": "A description provides critical context about what a service represents or is used for to inform team members and responders. The description should be kept concise and understandable by those without deep knowledge of the service.",
      "exclusions": [],
      "id": "01CXX38Q0U8XKHO4LNKXUJTBFG",
      "inclusions": [
        {
          "type": "technical_service_reference",
          "id": "P0CPWBO"
        }
      ],
      "name": "Service has a description",
      "resource_type": "technical_service",
      "type": "has_technical_service_description"
    },
    {
      "active": true,
      "description": "Ensure that no incident goes unaddressed, even if the on-call responder on the first level of the escalation policy is unavailable.",
      "exclusions": [],
      "id": "01CXX38Q0Y8D9IYFAEDCH5F53L",
      "inclusions": [],
      "name": "Service has an escalation policy with 2 or more unique levels",
      "resource_type": "technical_service",
      "type": "minimum_escalation_policy_rule_depth"
    },
    {
      "active": true,
      "description": "Extensions or add-ons streamline incident response and communication processes by connecting PagerDuty services to other tools that matter to your incident management workflow.",
      "exclusions": [],
      "id": "01CXX38Q11T19P0K1GFKHUZJ35",
      "inclusions": [],
      "name": "Service has an extension or add-on (e.g. Slack, etc.)",
      "resource_type": "technical_service",
      "type": "minimum_outbound_integrations"
    }
  ]
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
